Groovy 1.7.0

## org.codehaus.groovy.tools.shell
Class ExitNotification

    java.lang.Object
      java.lang.Throwable
          java.lang.Error
              org.codehaus.groovy.tools.shell.ExitNotification

    class ExitNotification
    extends Error

Notification to signal the shell to exit.

version:
  $Id: ExitNotification.groovy 7362 2007-08-19 18:37:04Z user57 $

author:
  Jason Dillon

Property Summary
`int` | `code` The exit code.

Constructor Summary
`ExitNotification(int code)`

Method Summary

Methods inherited from class Error
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, wait, wait, wait, hashCode, getClass, equals, notify, notifyAll

Methods inherited from class Throwable
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, wait, wait, wait, hashCode, getClass, equals, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Property Detail

### code

    final int code

  The exit code.

Constructor Detail

### ExitNotification

    public ExitNotification(int code)

Copyright © 2003-2009 The Codehaus. All rights reserved.